Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps.dsc.events
Class DSCCommentPageHiResBoundingBox

    java.lang.Object
      org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
          org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
              org.apache.xmlgraphics.ps.dsc.events.DSCCommentBoundingBox
                  org.apache.xmlgraphics.ps.dsc.events.DSCCommentHiResBoundingBox
                      org.apache.xmlgraphics.ps.dsc.events.DSCCommentPageHiResBoundingBox

All Implemented Interfaces:
  DSCParserConstants, DSCComment, DSCEvent

    public class DSCCommentPageHiResBoundingBox

extends DSCCommentHiResBoundingBox

Represents a %%PageHiResBoundingBox DSC comment.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants
`COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

Constructor Summary
`DSCCommentPageHiResBoundingBox()` Creates a new instance.
`DSCCommentPageHiResBoundingBox(Rectangle2D bbox)` Creates a new instance.

Method Summary
`String` | `getName()` Returns the name of the DSC comment.

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.DSCCommentHiResBoundingBox
`generate`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.DSCCommentBoundingBox
`getBoundingBox, hasValues, parseValue, setBoundingBox`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
`asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
`asLine, isComment, isHeaderComment, isLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent
`asLine, isComment, isHeaderComment, isLine`

Constructor Detail

### DSCCommentPageHiResBoundingBox

    public DSCCommentPageHiResBoundingBox()

  Creates a new instance.

### DSCCommentPageHiResBoundingBox

    public DSCCommentPageHiResBoundingBox(Rectangle2D bbox)

  Creates a new instance.

  Parameters:
    `bbox` - the bounding box

Method Detail

### getName

    public String getName()

  Returns the name of the DSC comment.

  Specified by:
    `getName` in interface `DSCComment`
  Overrides:
    `getName` in class `DSCCommentHiResBoundingBox`
  Returns:
    the name of the DSC comment (without the "%%" prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.